using System;
using System.Runtime.Serialization;

namespace skyscraper5.Skyscraper.IO
{
	[Serializable]
	public class SkyscraperIOException : SkyscraperException
	{
		//
		// For guidelines regarding the creation of new exception types, see
		//    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/cpgenref/html/cpconerrorraisinghandlingguidelines.asp
		// and
		//    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dncscol/html/csharp07192001.asp
		//

		public SkyscraperIOException()
		{
		}

		public SkyscraperIOException(string message) : base(message)
		{
		}

		public SkyscraperIOException(string message, Exception inner) : base(message, inner)
		{
		}

		protected SkyscraperIOException(
			SerializationInfo info,
			StreamingContext context) : base(info, context)
		{
		}
	}
}
